package com.projectwork.demo.service;

import com.projectwork.demo.model.Orderline;
import com.projectwork.demo.repository.WorkflowRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
* Generated by Spring Data Generator on 12/01/2023
*/
@Component
public class WorkflowService {

	@Autowired
	private WorkflowRepository workflowRepository;

	public void performTransaction(Orderline orderline,String event){
		//get transaction where initial state =ordine riga state and event = current event
		//if exist record perform transaction and send row state to final state determined by the event
		//if no error:: transaction not permitted
		//if all ok save ordineriga log with initial state and event
	}

}
